Package lcm.lcm

# Interface LCMEncodable

public interface LCMEncodable
A message which can be easily sent using LCM.

## Method Summary

Modifier and Type
Method
Description
`void`
`_decodeRecursive(DataInput ins)`
Decode the data without the magic header.
`void`
`_encodeRecursive(DataOutput outs)`
Encode the data without the magic header.
`void`
`encode(DataOutput outs)`
Invoked by LCM.

## Method Details

### encode

void encode(DataOutput outs) throws IOException
Invoked by LCM.

Parameters:
  `outs` - Any data to be sent should be written to this output stream.
Throws:
  `IOException`

### _encodeRecursive

void _encodeRecursive(DataOutput outs) throws IOException
Encode the data without the magic header. Most users will never use this function.

Throws:
  `IOException`

### _decodeRecursive

void _decodeRecursive(DataInput ins) throws IOException
Decode the data without the magic header. Most users will never use this function.

Throws:
  `IOException`